<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class TapLinkAction extends \Google\Protobuf\Internal\Message
{
    


    protected $title = null;
    


    protected $tapUrl = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getTitle()
    {
        return isset($this->title) ? $this->title : '';
    }

    public function hasTitle()
    {
        return isset($this->title);
    }

    public function clearTitle()
    {
        unset($this->title);
    }

    




    public function setTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->title = $var;

        return $this;
    }

    



    public function getTapUrl()
    {
        return isset($this->tapUrl) ? $this->tapUrl : '';
    }

    public function hasTapUrl()
    {
        return isset($this->tapUrl);
    }

    public function clearTapUrl()
    {
        unset($this->tapUrl);
    }

    




    public function setTapUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->tapUrl = $var;

        return $this;
    }

}

